#!/usr/bin/env python
# -*- coding: utf-8 -*-

from setuptools import setup, dist
dist.Distribution(dict(setup_requires=['bob.extension']))

from bob.extension.utils import load_requirements, find_packages
install_requires = load_requirements()


setup(

    name='bob.paper.nir_patch_pooling',
    version=open("version.txt").read().rstrip(),
    description='Package for experiments described in ICIP paper: CNN Patch Pooling for Detecting 3D Mask Presentation Attacks in NIR',

    url='https://gitlab.idiap.ch/bob/bob.paper.nir_patch_pooling',
    license='GPLv3',

    # there may be multiple authors (separate entries by comma)
    author='Ketan Kotwal',
    author_email='ketan.kotwal@idiap.ch',

    # you may add more keywords separating those by commas (a, b, c, ...)
    keywords = "bob",

    long_description=open('README.rst').read(),

    # leave this here, it is pretty standard
    packages=find_packages(),
    include_package_data=True,
    zip_safe = False,

    install_requires=install_requires,

    entry_points={
        'bob.bio.config': [
            'wmca-mask = bob.paper.nir_patch_pooling.config.wmca_mask',
            'mlfp = bob.paper.nir_patch_pooling.config.mlfp',
            'patch-pooling-lr = bob.paper.nir_patch_pooling.config.patch_pooling_lr',
        ],

      },

    # check classifiers, add and remove as you see fit
    # full list here: https://pypi.org/classifiers/
    # don't remove the Bob framework unless it's not a bob package
    classifiers = [
      'Framework :: Bob',
      'Development Status :: 4 - Beta',
      'Intended Audience :: Science/Research',
      'License :: OSI Approved :: GNU General Public License v3 (GPLv3)',
      'Natural Language :: English',
      'Programming Language :: Python',
      'Programming Language :: Python :: 3',
      'Topic :: Scientific/Engineering :: Artificial Intelligence',
      'Topic :: Software Development :: Libraries :: Python Modules',
      ],

)
